%define srcname herqq

Name:           hupnp
Summary:        Qt string template engine based on the Django template system
Group:          System/Libraries
Version:        1.0.0
Release:        %mkrel 1
License:        LGPLv3+
URL:            http://www.herqq.org
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{srcname}-%{version}.zip
BuildRequires:  qt4-devel



%description
Herqq UPnP (HUPnP) is a software library for building UPnP devices and control 
points conforming to the UPnP Device Architecture version 1.1. It is designed 
to be simple to use and robust in operation. It is built using C++ and the Qt 
Framework following many of the design principles and programming practices 
used in the Qt Framework. It integrates into Qt-based software smoothly and 
enables truly rapid UPnP development.

%files
#--------------------------------------------------------------------
%define hupnp_major 1
%define libhupnp %mklibname hupnp %{hupnp_major}
%define libnamedev %mklibname hupnp -d

%define qtsolution_major 1
%define qtsolution_api 2.7
%define libqtsolution %mklibname qtsolutions_soap %{qtsolution_api} %{qtsolution_major}

%package -n %{libhupnp}
Summary: Library for %{name}
Group: System/Libraries
Obsoletes: herqq
Provides: herqq = %version-%release

%description -n %{libhupnp}
Software library for building UPnP devices and control points.

%files -n %{libhupnp}
%{_libdir}/libHUpnp.so.%{hupnp_major}*
%{_libdir}/libQtSolutions_SOAP-%{qtsolution_api}.so.%{qtsolution_major}*

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libhupnp} = %{version}-%{release}
Obsoletes: herqq-devel
Provides: herqq-devel = %version-%release

%description -n %{libnamedev}
Libraries and header files to develop applications that use %{name}.

%files -n %{libnamedev}
%{_includedir}/HUpnpCore/
%{_libdir}/libQtSolutions_SOAP-2.7.so
%{_libdir}/libHUpnp.so

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%qmake_qt4 %{srcname}.pro

%make

%install
rm -rf %buildroot
%makeinstall
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}/usr/include/HUpnpCore
pushd hupnp/bin
mv lib* %{buildroot}%{_libdir}
popd
pushd hupnp/deploy/include/HUpnpCore/
mv * %{buildroot}/usr/include/HUpnpCore/
popd


%changelog
* Sun Nov 13 2016 adrianomorselli <adrianomorselli> 1.0.0-1uplos2016
- rebuild

* Wed May 25 2016 bb <bb> 1.0.0-1pclos2016
- build for digikam

